import { Mixin } from 'ts-mixer';
import ItemFactory from '@react-microdata/item-factory';
import { EventFactory } from '@react-microdata/event';
class CourseInstance extends Mixin(EventFactory, ItemFactory) {
    instructor({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "instructor", itemScope });
    }
    ;
    courseWorkload({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "courseWorkload", itemScope });
    }
    ;
    courseMode({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "courseMode", itemScope });
    }
    ;
}
const CourseInstanceFactory = new CourseInstance();
export { CourseInstanceFactory };
export default CourseInstance;
//# sourceMappingURL=CourseInstanceFactory.js.map